Page MenuHomePhabricator

Intervals/buckets for data arround pageviews per country in wikistats maps
Closed, ResolvedPublic13 Story Points

Description

Intervals (10000-100000) pageviews work well for small wikis, once we are into the large wikis they become meaningless and we should look into how to best represent that data for say, pageviews of enwiki in belgium.

Event Timeline

Nuria created this task.Mar 5 2018, 5:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2018, 5:53 PM
mforns added a subscriber: mforns.Mar 8 2018, 10:34 AM

@Nuria
I'm considering this task for the GSoC, but I don't completely understand the title.
Is is about adding a time interval selector (like a slider) for the map chart?

Nuria updated the task description. (Show Details)Mar 8 2018, 3:54 PM

@mforns reworded title

fdans moved this task from Incoming to Wikistats Beta on the Analytics board.
fdans removed a project: Analytics-Kanban.
fdans added a subscriber: ezachte.
Nuria renamed this task from Intervals for data arround pageviews in wikistats maps to Intervals/buckets for data arround pageviews per country in wikistats maps.Mar 22 2018, 6:51 PM

@Nuria I'd like to look into this. Can you please elaborate a bit more? A pseudo code of what we have now and what is expected would be great :]

Nuria added a comment.Apr 1 2018, 4:02 AM

Sorry, this work is already assigned for a person in our team for this quarter.

Nuria assigned this task to Milimetric.Apr 2 2018, 4:32 PM
Milimetric triaged this task as Normal priority.Apr 19 2018, 5:30 PM
Nuria raised the priority of this task from Normal to High.Apr 19 2018, 6:21 PM

Moving to high priority (cc @Milimetric) as we agreed to do this this quarter

mforns set the point value for this task to 13.May 7 2018, 4:07 PM
Milimetric removed Milimetric as the assignee of this task.May 7 2018, 8:12 PM
Milimetric added a subscriber: Milimetric.

For whomever works on this, we have two possible solutions, they can think of a third one and we generally trust them to choose well:

  • keep one field for pageviews_total and populate it with ranges for lower numbers and exact numbers for higher numbers
  • add another field, pageviews_range. For lower numbers, pageviews_total is null and pageviews_range is populated. For higher numbers it's the opposite
fdans added a subscriber: fdans.Jun 11 2018, 4:44 PM

The new numeric value should be an int that represents the ceiling "to the thousandth" of the original number (ceil(x/1000)*1000), as long as that number is bigger than 99. Otherwise the number doesn't get reported. They way we'll be doing this is:

  1. Add a new int column that stores the new value.
  2. We add the column to the aqs frontend
  3. Switch the frontend so that it uses the new value.
  4. Adapt the UI
  5. Backfill
fdans claimed this task.Jun 12 2018, 1:13 PM
fdans moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 440136 had a related patch set uploaded (by Fdans; owner: Fdans):
[analytics/aqs@master] Add glue code to turn "ceiled" pageview values into intervals

https://gerrit.wikimedia.org/r/440136

Change 440145 had a related patch set uploaded (by Fdans; owner: Fdans):
[analytics/refinery@master] Modify pageview per country query to load numbers instead of intervals

https://gerrit.wikimedia.org/r/440145

Change 440136 merged by Fdans:
[analytics/aqs@master] Add glue code to turn "ceiled" pageview values into intervals

https://gerrit.wikimedia.org/r/440136

Change 440145 merged by Joal:
[analytics/refinery@master] Modify pageview per country query to load numbers instead of intervals

https://gerrit.wikimedia.org/r/440145

moving back to in progress as there's still the patch for the UI pending, thank you @JAllemandou :)

fdans moved this task from Done to In Progress on the Analytics-Kanban board.Jun 29 2018, 9:52 AM
Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Jul 11 2018, 10:01 PM
Nuria closed this task as Resolved.Jul 12 2018, 5:32 PM